List mapping tables

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.maddenanalytics.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Madden Analytics API MCP server": {
  "url": "https://docs.maddenanalytics.com/mcp"
}
Close
GET /v2/api/mappingtables

Query parameters

  • mappingType string

    Filter by mapping type (products, transactions, purchaseOrders, distributionOrders, stocks, suppliers, costCalculationValues)

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • mappingField string
    • mappingType string
    • mappingValues object
  • 400 application/json

    Invalid mapping type

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
  • default application/json

    All errors will return the same object with a describing code & message

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
GET /v2/api/mappingtables
curl \
 --request GET 'https://api.maddenanalytics.com/v2/api/mappingtables'
Response examples (200)
[
  {
    "mappingField": "color",
    "mappingType": "products",
    "mappingValues": {}
  }
]
Response examples (400)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}
Response examples (default)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}